(function ($) {

    let formHidden = [];
    Drupal.behaviors.OverlayleftPanel = {
        attach: function (context) {
            let forms = $('.overlay-left-panel:not(.opanel-processed)', context);
            forms.each(function (index) {
              console.log(index)
              let id = $(this).attr('id');
              formHidden[id] = false;

                let form = $(this),
                    close = $('<span class="form-close" title="Open panel"></span>').prependTo(form);
                close.text('>');

                form.css('margin-top', ((index * 35) + 100) + 'px');
                if (!formHidden[id]) {
                    form.addClass('opanel-hidden').css({left: (-form.outerWidth()) + 'px'});
                  formHidden[id] = true;
                }

                close.click(function () {
                    let $this = $(this);
                    let form = $(this).parent('.overlay-left-panel');
                    if (form.hasClass('opanel-hidden')) {
                        form.stop(true).animate({left: 0});
                        $this.text('<');
                        $this.attr('title', 'Close panel');
                    }
                    else {
                        form.stop(true).animate({left: -form.outerWidth()});
                        $this.html('>');
                        $this.attr('title', 'Open panel');
                    }
                    form.toggleClass('opanel-hidden');
                });
            });
            forms.addClass('opanel-processed');
        }
    };
})(jQuery);
